import request from '@/utils/request'
//资源图片上传
export function imgUpLoad(param){
    const formData = new FormData()
    formData.append('file', param.file)
    formData.append('fileType', param.type)
    return request({
      url: '/system/sys/file/upload',
      method: 'post',
      data: formData,
      header:'multipart/form-data'
    })
  }

//资源文件上传
export function fileUpLoad(param){
    const formData = new FormData()
    formData.append('file', param.file)
    return request({
      url: '/system/sys/file/upload',
      method: 'post',
      data: formData,
    })
  }

// excel文件上传
export function excelUpLoad(param){
  const formData = new FormData()
  formData.append('file', param.file)
  return request({
    url: '/material/base/maPartType/readExcel',
    method: 'post',
    data: formData,
  })
}

// excel文件下载
export function downloadExcel(param){
  return request({
    url: '/material/base/maPartType/downLoad',
    method: 'post',
    param
  })
}

















